package com.ifish.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * 直播间点赞
 * @author Administrator
 *
 */
@Embeddable
public class LiveRoomZanId implements Serializable{

	private static final long serialVersionUID = -275072147659071118L;
	/**
	 * 直播间ID
	 */
	@Column(name="room_id",nullable=false)
	private Integer roomId;
	/**
	 * 用户ID
	 */
	@Column(name="user_id",nullable=false)
	private Integer userId;
	
	public LiveRoomZanId() {}
	public LiveRoomZanId(Integer roomId, Integer userId) {
		super();
		this.roomId = roomId;
		this.userId = userId;
	}
	public Integer getRoomId() {
		return roomId;
	}
	public void setRoomId(Integer roomId) {
		this.roomId = roomId;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	
}
